/*
    Description: Provide Gauges for <projectname> (This enables thier use from QTDesigner)
         Author: Tim Brocklehurst
        Version: 0.1.0
           Date: 09 December 2007
        License: GPLv3

Changelog:
    09 December 2007 - v0.1.0 alpha:
        First Release
*/

#include <QtDesigner>
#include <QtGui>
#include <QtPlugin>
#include <QDesignerPropertySheetExtension>

#include "gauge.h"
#include "gaugePlugin.h"
// #include "gaugeTaskMenu.h"

 GaugePlugin::GaugePlugin(QObject *parent)
     : QObject(parent)
 {
     initialized = false;
 }

 void GaugePlugin::initialize(QDesignerFormEditorInterface *formEditor)
 {
     if (initialized)
         return;

// Following commented lines should only be used with Task-menu dialog

//    QExtensionManager *manager = formEditor->extensionManager();
//    Q_ASSERT(manager != 0);

//    manager->registerExtensions(new GaugeTaskMenuFactory(manager),
//                                Q_TYPEID(QDesignerTaskMenuExtension));

     initialized = true;
 }

 bool GaugePlugin::isInitialized() const
 {
     return initialized;
 }

 QWidget *GaugePlugin::createWidget(QWidget *parent)
 {
     return new Gauge(parent);
 }

 QString GaugePlugin::name() const
 {
     return "Gauge";
 }

 QString GaugePlugin::group() const
 {
     return "Display Widgets";
 }

 QIcon GaugePlugin::icon() const
 {
     return QIcon();
 }

 QString GaugePlugin::toolTip() const
 {
     return "";
 }

 QString GaugePlugin::whatsThis() const
 {
     return "";
 }

 bool GaugePlugin::isContainer() const
 {
     return false;
 }

 QString GaugePlugin::domXml() const
 {
     return "<widget class=\"Gauge\" name=\"gauge\">\n"
            " <property name=\"geometry\">\n"
            "  <rect>\n"
            "   <x>0</x>\n"
            "   <y>0</y>\n"
            "   <width>150</width>\n"
            "   <height>150</height>\n"
            "  </rect>\n"
            " </property>\n"
            " <property name=\"minimumSize\" >\n"
            "  <size>\n"
            "   <width>150</width>\n"
            "   <height>150</height>\n"
            "  </size>\n"
            " </property>\n"
            "</widget>\n";
 }

 QString GaugePlugin::includeFile() const
 {
     return "include/gauge.h";
 }

 Q_EXPORT_PLUGIN2(Gauge, GaugePlugin)
