/*
    Description: Provide Gauges for <projectname> (This enables thier use from QTDesigner)
         Author: Tim Brocklehurst
        Version: 0.1.0
           Date: 09 December 2007
        License: GPLv3

Changelog:
    09 December 2007 - v0.1.0 alpha:
        First Release
*/

 #ifndef GAUGEPLUGIN_H
 #define GAUGEPLUGIN_H

 #include <QDesignerCustomWidgetInterface>

 class GaugePlugin : public QObject, public QDesignerCustomWidgetInterface
 {
     Q_OBJECT
     Q_INTERFACES(QDesignerCustomWidgetInterface)

 public:
     GaugePlugin(QObject *parent = 0);

     bool isContainer() const;
     bool isInitialized() const;
     QIcon icon() const;
     QString domXml() const;
     QString group() const;
     QString includeFile() const;
     QString name() const;
     QString toolTip() const;
     QString whatsThis() const;
     QWidget *createWidget(QWidget *parent);
     void initialize(QDesignerFormEditorInterface *core);

 private:
     bool initialized;
 };

 #endif
